Bug 16979 - Anaconda localized labels can be truncated
Summary: Anaconda localized labels can be truncated
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-26 02:42 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-09 19:51:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-08-26 02:42:24 UTC
The labels (such as "Welcome") that print in the upper right
corner of the Anaconda window can be truncated.  This occurs
when using some locale other than English, and the localized
string to display there is longer than the English version.

The displayed localized version is truncated to the length of
the English version.  For example, I am seeing (in German)
the Welcome string labeled with "Willkom", which should be
"Willkommen"

Suggested fix - calculate length of this string using the
localized version, by changing the anaconda-7.0/text.py
lines:
                self.screen.drawRootText (0 - len(step[0]),
                                         0, _(step[0]))
to be instead
                self.screen.drawRootText (0 - len(_(step[0])),
                                         0, _(step[0]))

This still results in multibyte strings being left indented
too far, but that's much less of an issue than truncation.

Comment 1 Matt Wilson 2000-10-09 19:51:39 UTC
Fixed in CVS.



Note You need to log in before you can comment on or make changes to this bug.